package com.vendor.platform.ui.internal;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.core.PlatformCoreActivator;
import com.vendor.platform.ui.internal.StringConstants;
import org.eclipse.core.runtime.Plugin;
import org.osgi.service.prefs.Preferences;

public class PlatformStateControlUtils {
  private static String TRUE = StringConstants.decode("1953658213");
  
  private static String CURRENT_STATE = StringConstants.decode("42062573490297975534548701684740688613133019663922277");
  
  private static String PLATFORM_STATE_NODE = StringConstants.decode("2280216677925612596853297226282085");
  
  public static void setPlatformState(boolean state) {
    Preferences node = getPreferences();
    try {
      if (node != null) {
        node.put(CURRENT_STATE, String.valueOf(state));
        node.flush();
      } 
    } catch (Exception e) {
      PlatformCoreActivator.getLogger((Plugin)PlatformCoreActivator.getDefault())
        .logError(e.getMessage(), e);
    } 
  }
  
  public static boolean isPlatformEnabled() {
    Preferences node = getPreferences();
    try {
      if (node != null) {
        String state = node.get(CURRENT_STATE, TRUE);
        return Boolean.valueOf(state).booleanValue();
      } 
    } catch (Exception e) {
      PlatformCoreActivator.getLogger((Plugin)PlatformCoreActivator.getDefault())
        .logError(e.getMessage(), e);
    } 
    return true;
  }
  
  private static Preferences getPreferences() {
    return PlatformCoreActivator.getDefault().getPreferenceNode("com.vendor.platform.core", PLATFORM_STATE_NODE);
  }
}
